Package com.avaya.clientservices.contact

## Enum ResolveContactsScopeType

- java.lang.Object
- - java.lang.Enum<ResolveContactsScopeType>
  - - com.avaya.clientservices.contact.ResolveContactsScopeType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ResolveContactsScopeType>`

      public enum ResolveContactsScopeType
      extends java.lang.Enum<ResolveContactsScopeType>

  Type of scope used for `ContactService.resolveContacts(ResolveContactsRequest)` method.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HANDLE` | Search contacts by handle (email and IM addresses).
    `NUMBER` | Search contacts by phone number.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResolveContactsScopeType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ResolveContactsScopeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NUMBER

          public static final ResolveContactsScopeType NUMBER

      Search contacts by phone number.

    - #### HANDLE

          public static final ResolveContactsScopeType HANDLE

      Search contacts by handle (email and IM addresses).

  - ### Method Detail

    - #### values

          public static ResolveContactsScopeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResolveContactsScopeType c : ResolveContactsScopeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResolveContactsScopeType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null